/*===========================================================================

	Copyright  2007 Tea Tuar

	This material is provided "as is", with no warranty expressed or implied.
	Any use is at your own risk. Permission to use or copy this software for
	any purpose is hereby granted without fee, provided this notice is
	retained on all copies. Permission to modify the code and to distribute
	modified code is granted, provided a notice that the code was modified is
	included with the above copyright notice.

	http://dis.ijs.si/tea/research.htm

	===========================================================================

	Implementation file.

	file: main.cpp
	author: Tea Tusar (tea.tusar@ijs.si)
	created: 16.02.2006
	last change: $date$

	===========================================================================
*/

#pragma hdrstop
//---------------------------------------------------------------------------

#include "demo_alg.h"
#include <fstream>

//---------------------------------------------------------------------------

#pragma argsused

int main(int argc, char* argv[])
{
	try {
		if (argc < 2) {
			string str_err = "Invalid arguments! \n";
			str_err += "Usage: \n demo.exe <ini_file> ";
			str_err += "[<parameter name> <parameter value>]";
			throw E(str_err);
		}

		string args = "";
		for (int i = 2; i < argc; i++) {
			args += argv[i];
			args += " ";
		}

		DemoAlg *demo_alg = new DemoAlg(argv[1], args);
		demo_alg->Evolution();

		delete demo_alg;
		return 0;

	} catch (E &e) {
		cerr << e.error << endl;
		set_terminate(my_terminate);
		terminate();
	} catch (...) {
		cerr << "Error in DEMO!" << endl;
		set_terminate(my_terminate);
		terminate();
	}
}
//---------------------------------------------------------------------------
